Subject: [Gen-art] GenART review of draft-ietf-ccamp-gmpls-ason-routing-eval-02.txt

From: [email-masked]
Date: Fri, 5 May 2006 18:38:05 -0400

Background for those who may be unaware of GenART:

GenART is the Area Review Team for the General Area of the IETF.
We advise the General Area Director (i.e. the IETF/IESG chair) by
providing more in depth reviews than he could do himself of documents
that come up for final decision in IESG telechat.  I was selected
as the GenART member to review this document.  Below is my review,
which was written specifically with an eye to the GenART process, but
since I believe that it will be useful to have these comments more
widely distributed, others outside the GenART group are included.

Review criteria: "Is this document a reasonable contribution to the
area of Internet engineering which it covers?  If not, what changes
would make it so?"

This draft is on the right track, but has open issues described in
the review.

I am not a routing expert, so I can't cross-check the technical
details, but the draft reads well.  OTOH, idnits is not happy:

idnits 1.95 

tmp/draft-ietf-ccamp-gmpls-ason-routing-eval-02.txt:

  Checking nits according to http://www.ietf.org/ID-Checklist.html:
  * The document seems to lack a Security Considerations section.
  * The document seems to lack an IANA Considerations section.
    
    Checking conformance with RFC 3978/3979 boilerplate...

  * Found RFC 3978 Section 5.4 paragraph 1 boilerplate (on line 910), which
    is fine, but *also* found RFC 2026 Section 10.4C paragraph 1 boilerplate
on
    line 42. It should be removed.
  * The document is more than 15 pages and seems to lack a Table of
    Contents.

  Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
  - The page length should not exceed 58 lines per page, but there was 19
    longer pages, the longest (page 2) being 60 lines

  Miscellaneous warnings:
  - The copyright year in the RFC 3978 Section 5.4 Copyright Line does not
    match the current year

  Experimental warnings:
  - Missing Reference: [GMPLS-ISIS] is mentioned on line 354, but not
    defined

  - Unused Reference: [RFC2026] is defined on line 653, but not referenced
  - Unused Reference: [RFC3477] is defined on line 661, but not referenced

Of these, the missing security considerations section is a particular
problem,
as this document ought to include an overview of the security consequences
of applying the routing protocols to an ASON and of the proposed routing
protocol extensions.  That really needs to be supplied prior to IESG
approval, and a "Discuss" is therefore recommended.

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art